
CREATE DATABASE `outsystems`  DEFAULT CHARACTER SET utf8;

/* we run with innodb_file_per_table setting so no need to create tablespaces */

CREATE USER 'OSADMIN' IDENTIFIED BY 'ha';
GRANT ALL PRIVILEGES ON `outsystems`.* TO 'OSADMIN' WITH GRANT OPTION;
GRANT SELECT ON `information\_schema`.* TO 'OSADMIN';
GRANT process on *.* to 'OSADMIN'; 

CREATE USER 'OSRUNTIME' IDENTIFIED BY 'hr';
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES, CREATE ROUTINE, ALTER ROUTINE, LOCK TABLES, EXECUTE ON `outsystems`.* TO 'OSRUNTIME';

/*log user could have only privileges on log tables*/
CREATE USER 'OSLOG' IDENTIFIED BY 'hl';
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE ON `outsystems`.* TO 'OSLOG';

