#!/bin/bash

source /etc/sysconfig/outsystems
source $OUTSYSTEMS_HOME/common.sh

# set classpath
CLASSPATH="$COMMON_CLASSPATH:$OUTSYSTEMS_HOME/osptool.jar"

LOG4J_CONFIGURATION="/etc/outsystems/osptool.properties"

JAVA_OPTS="-Xmx384m -Dlog4j.configuration=file:$LOG4J_CONFIGURATION"

LANG=en_US.UTF-8 $JAVA_HOME/bin/java -classpath $CLASSPATH $JAVA_OPTS outsystems.hubedition.osptool.Tool "$@"
